

<!DOCTYPE html>

<html lang="en">
  <head>
    <meta charset="utf-8" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0" />
    <title>7.3.58. shutdown &#8212; Groonga v10.1.1-31-g1e46ba6 documentation</title>
    <link rel="stylesheet" href="../../_static/groonga.css" type="text/css" />
    <link rel="stylesheet" href="../../_static/pygments.css" type="text/css" />
    
    <script id="documentation_options" data-url_root="../../" src="../../_static/documentation_options.js"></script>
    <script src="../../_static/jquery.js"></script>
    <script src="../../_static/underscore.js"></script>
    <script src="../../_static/doctools.js"></script>
    <script src="../../_static/language_data.js"></script>
    
    <link rel="shortcut icon" href="../../_static/favicon.ico"/>
    <link rel="index" title="Index" href="../../genindex.html" />
    <link rel="search" title="Search" href="../../search.html" />
    <link rel="next" title="7.3.59. status" href="status.html" />
    <link rel="prev" title="7.3.57. select" href="select.html" /> 
  </head><body>
<div class="header">
  <h1 class="title">
    <a id="top-link" href="../../index.html">
      <span class="project">groonga</span>
      <span class="separator">-</span>
      <span class="description">An open-source fulltext search engine and column store.</span>
    </a>
  </h1>

  <div class="other-language-links">
    <ul>
      <li><a href="../../../../ja/html/reference/commands/shutdown.html">日本語</a></li>
    </ul>
  </div>
</div>
  

    <div class="related" role="navigation" aria-label="related navigation">
      <h3>Navigation</h3>
      <ul>
        <li class="right" style="margin-right: 10px">
          <a href="../../genindex.html" title="General Index"
             accesskey="I">index</a></li>
        <li class="right" >
          <a href="status.html" title="7.3.59. status"
             accesskey="N">next</a> |</li>
        <li class="right" >
          <a href="select.html" title="7.3.57. select"
             accesskey="P">previous</a> |</li>
        <li class="nav-item nav-item-0"><a href="../../index.html">Groonga v10.1.1-31-g1e46ba6 documentation</a> &#187;</li>
          <li class="nav-item nav-item-1"><a href="../../reference.html" ><span class="section-number">7. </span>Reference manual</a> &#187;</li>
          <li class="nav-item nav-item-2"><a href="../command.html" accesskey="U"><span class="section-number">7.3. </span>Command</a> &#187;</li>
        <li class="nav-item nav-item-this"><a href=""><span class="section-number">7.3.58. </span><code class="docutils literal notranslate"><span class="pre">shutdown</span></code></a></li> 
      </ul>
    </div>  

    <div class="document">
      <div class="documentwrapper">
        <div class="bodywrapper">
          <div class="body" role="main">
            
  <div class="section" id="shutdown">
<h1><span class="section-number">7.3.58. </span><code class="docutils literal notranslate"><span class="pre">shutdown</span></code><a class="headerlink" href="#shutdown" title="Permalink to this headline">¶</a></h1>
<div class="section" id="summary">
<h2><span class="section-number">7.3.58.1. </span>Summary<a class="headerlink" href="#summary" title="Permalink to this headline">¶</a></h2>
<p><code class="docutils literal notranslate"><span class="pre">shutdown</span></code> stops the Groonga server process.</p>
<p><code class="docutils literal notranslate"><span class="pre">shutdown</span></code> uses graceful shutdown by default. If there are some
running commands, the Groonga server process stops after these running
commands are finished. New command requests aren’t processed after
<code class="docutils literal notranslate"><span class="pre">shutdown</span></code> command is executed.</p>
<div class="versionadded">
<p><span class="versionmodified added">New in version 6.0.1: </span><code class="docutils literal notranslate"><span class="pre">shutdown</span></code> uses immediate shutdown by specifying <code class="docutils literal notranslate"><span class="pre">immediate</span></code> to
<code class="docutils literal notranslate"><span class="pre">mode</span></code> parameter. The Groonga server process stops immediately
even when there are some running commands.</p>
<div class="admonition note">
<p class="admonition-title">Note</p>
<p>You need to set <a class="reference internal" href="../command/request_id.html"><span class="doc">Request ID</span></a> to all
requests to use immediate shutdown.</p>
</div>
</div>
<div class="versionadded">
<p><span class="versionmodified added">New in version 9.1.2: </span>The Groonga HTTP server accepts immediate shutdown immediately even when all threads are used.</p>
<div class="admonition note">
<p class="admonition-title">Note</p>
<p>This feature can only use on the Groonga HTTP server.</p>
</div>
</div>
</div>
<div class="section" id="syntax">
<h2><span class="section-number">7.3.58.2. </span>Syntax<a class="headerlink" href="#syntax" title="Permalink to this headline">¶</a></h2>
<p>This command takes only one optional parameter:</p>
<div class="highlight-none notranslate"><div class="highlight"><pre><span></span>shutdown [mode=graceful]
</pre></div>
</div>
</div>
<div class="section" id="usage">
<h2><span class="section-number">7.3.58.3. </span>Usage<a class="headerlink" href="#usage" title="Permalink to this headline">¶</a></h2>
<p><code class="docutils literal notranslate"><span class="pre">shutdown</span></code> use graceful shutdown by default:</p>
<p>Execution example:</p>
<div class="highlight-none notranslate"><div class="highlight"><pre><span></span>shutdown
# [[0, 1337566253.89858, 0.000355720520019531], true]
</pre></div>
</div>
<p>You can specify <code class="docutils literal notranslate"><span class="pre">graceful</span></code> to <code class="docutils literal notranslate"><span class="pre">mode</span></code> parameter explicitly:</p>
<p>Execution example:</p>
<div class="highlight-none notranslate"><div class="highlight"><pre><span></span>shutdown --mode graceful
# [[0, 1337566253.89858, 0.000355720520019531], true]
</pre></div>
</div>
<p>You can choose immediate shutdown by specifying <code class="docutils literal notranslate"><span class="pre">immediate</span></code> to
<code class="docutils literal notranslate"><span class="pre">mode</span></code> parameter:</p>
<p>Execution example:</p>
<div class="highlight-none notranslate"><div class="highlight"><pre><span></span>shutdown --mode immediate
# [[0, 1337566253.89858, 0.000355720520019531], true]
</pre></div>
</div>
<p>Immediate shutdown is useful when you don’t have time for graceful
shutdown. For example, Windows kills service that takes long time to
stop on Windows shutdown.</p>
</div>
<div class="section" id="parameters">
<h2><span class="section-number">7.3.58.4. </span>Parameters<a class="headerlink" href="#parameters" title="Permalink to this headline">¶</a></h2>
<p>This section describes parameters of this command.</p>
<div class="section" id="required-parameters">
<h3><span class="section-number">7.3.58.4.1. </span>Required parameters<a class="headerlink" href="#required-parameters" title="Permalink to this headline">¶</a></h3>
<p>There is no required parameter.</p>
</div>
<div class="section" id="optional-parameters">
<h3><span class="section-number">7.3.58.4.2. </span>Optional parameters<a class="headerlink" href="#optional-parameters" title="Permalink to this headline">¶</a></h3>
<p>There are optional parameters.</p>
<div class="section" id="mode">
<h4><span class="section-number">7.3.58.4.2.1. </span><code class="docutils literal notranslate"><span class="pre">mode</span></code><a class="headerlink" href="#mode" title="Permalink to this headline">¶</a></h4>
<p>Specifies shutdown mode. Here are available shutdown modes:</p>
<table class="docutils align-default">
<colgroup>
<col style="width: 50%" />
<col style="width: 50%" />
</colgroup>
<thead>
<tr class="row-odd"><th class="head"><p>Value</p></th>
<th class="head"><p>Description</p></th>
</tr>
</thead>
<tbody>
<tr class="row-even"><td><p><code class="docutils literal notranslate"><span class="pre">graceful</span></code></p></td>
<td><p>Stops after running commands are finished.</p>
<p>This is the default.</p>
</td>
</tr>
<tr class="row-odd"><td><p><code class="docutils literal notranslate"><span class="pre">immediate</span></code></p></td>
<td><div class="versionadded">
<p><span class="versionmodified added">New in version 6.0.1: </span>Stops immediately even if there are some running commands.</p>
</div>
</td>
</tr>
</tbody>
</table>
</div>
</div>
</div>
<div class="section" id="return-value">
<h2><span class="section-number">7.3.58.5. </span>Return value<a class="headerlink" href="#return-value" title="Permalink to this headline">¶</a></h2>
<p><code class="docutils literal notranslate"><span class="pre">shutdown</span></code> returns <code class="docutils literal notranslate"><span class="pre">true</span></code> as body when shutdown is
accepted:</p>
<div class="highlight-none notranslate"><div class="highlight"><pre><span></span>[HEADER, true]
</pre></div>
</div>
<p>If <code class="docutils literal notranslate"><span class="pre">shutdown</span></code> doesn’t accept shutdown, error details are in
<code class="docutils literal notranslate"><span class="pre">HEADER</span></code>.</p>
<p>See <a class="reference internal" href="../command/output_format.html"><span class="doc">Output format</span></a> for <code class="docutils literal notranslate"><span class="pre">HEADER</span></code>.</p>
</div>
</div>


            <div class="clearer"></div>
          </div>
        </div>
      </div>
      <div class="sphinxsidebar" role="navigation" aria-label="main navigation">
        <div class="sphinxsidebarwrapper">
  <h3><a href="../../index.html">Table of Contents</a></h3>
  <ul>
<li><a class="reference internal" href="#">7.3.58. <code class="docutils literal notranslate"><span class="pre">shutdown</span></code></a><ul>
<li><a class="reference internal" href="#summary">7.3.58.1. Summary</a></li>
<li><a class="reference internal" href="#syntax">7.3.58.2. Syntax</a></li>
<li><a class="reference internal" href="#usage">7.3.58.3. Usage</a></li>
<li><a class="reference internal" href="#parameters">7.3.58.4. Parameters</a><ul>
<li><a class="reference internal" href="#required-parameters">7.3.58.4.1. Required parameters</a></li>
<li><a class="reference internal" href="#optional-parameters">7.3.58.4.2. Optional parameters</a><ul>
<li><a class="reference internal" href="#mode">7.3.58.4.2.1. <code class="docutils literal notranslate"><span class="pre">mode</span></code></a></li>
</ul>
</li>
</ul>
</li>
<li><a class="reference internal" href="#return-value">7.3.58.5. Return value</a></li>
</ul>
</li>
</ul>

  <h4>Previous topic</h4>
  <p class="topless"><a href="select.html"
                        title="previous chapter"><span class="section-number">7.3.57. </span><code class="docutils literal notranslate"><span class="pre">select</span></code></a></p>
  <h4>Next topic</h4>
  <p class="topless"><a href="status.html"
                        title="next chapter"><span class="section-number">7.3.59. </span><code class="docutils literal notranslate"><span class="pre">status</span></code></a></p>
<div id="searchbox" style="display: none" role="search">
  <h3 id="searchlabel">Quick search</h3>
    <div class="searchformwrapper">
    <form class="search" action="../../search.html" method="get">
      <input type="text" name="q" aria-labelledby="searchlabel" />
      <input type="submit" value="Go" />
    </form>
    </div>
</div>
<script>$('#searchbox').show(0);</script>
        </div>
      </div>
      <div class="clearer"></div>
    </div>
    <div class="related" role="navigation" aria-label="related navigation">
      <h3>Navigation</h3>
      <ul>
        <li class="right" style="margin-right: 10px">
          <a href="../../genindex.html" title="General Index"
             >index</a></li>
        <li class="right" >
          <a href="status.html" title="7.3.59. status"
             >next</a> |</li>
        <li class="right" >
          <a href="select.html" title="7.3.57. select"
             >previous</a> |</li>
        <li class="nav-item nav-item-0"><a href="../../index.html">Groonga v10.1.1-31-g1e46ba6 documentation</a> &#187;</li>
          <li class="nav-item nav-item-1"><a href="../../reference.html" ><span class="section-number">7. </span>Reference manual</a> &#187;</li>
          <li class="nav-item nav-item-2"><a href="../command.html" ><span class="section-number">7.3. </span>Command</a> &#187;</li>
        <li class="nav-item nav-item-this"><a href=""><span class="section-number">7.3.58. </span><code class="docutils literal notranslate"><span class="pre">shutdown</span></code></a></li> 
      </ul>
    </div>
    <div class="footer" role="contentinfo">
        &#169; Copyright 2009-2021, Brazil, Inc.
    </div>
  </body>
</html>